
[![Build Status](https://cicd.apps.glenux.net/api/badges/glenux-opencontainers/service-nextcloud/status.svg)](https://cicd.apps.glenux.net/glenux-opencontainers/service-nextcloud)

# Glenux OpenContainers : Service Nextcloud

## Dokku storage mounts

    dokku storage:mount cloud /var/lib/dokku/data/storage/cloud/apps:/var/www/html/apps
    dokku storage:mount cloud /var/lib/dokku/data/storage/cloud/config:/var/www/html/config
    dokku storage:mount cloud /var/lib/dokku/data/storage/cloud/data:/var/www/html/data

# Process

1. commit 
2. push to git repo
3. run CI/CD
   * build image
   * push image to local registry
4. 

ssh dokku@buddha-apps.boldcode.io app-json:set cloud appjson-path /app/app.json #  glenux/service-nextcloud:latest

Run after install

    config:app:set --value '30' files_lock lock_timeout

Add this in crontab

    dokku enter cloud web su -l -s /bin/bash - www-data -c "cd html && php -dmemory_limit=-1 ./occ app:update --all"

